List the mandate signature requests

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.api.memo.bank/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Memo Bank API MCP server": {
    "url": "https://docs.api.memo.bank/mcp"
  }
}

Close
GET /v2/mandate_signature_requests

Scope: mandate-signature-requests:read

Query parameters

  • status array[string]

    Filter mandate signature requests by status.

    Values are sent, expired, or completed.

  • page integer(int32) Deprecated

    Index of the requested page. Deprecated, use page_token instead.

    Minimum value is 1.

  • page_token string

    Token used to fetch a specific page, as returned by the next_page_token or prev_page_token field of a previous response. Mutually exclusive with page.

  • size integer(int32)

    Number of elements per page in response.

    Minimum value is 1, maximum value is 100. Default value is 10.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • results array[object] Required

      Elements of the page.

      One of:
    • has_prev boolean Required Deprecated

      Flag indicating if there is a previous page. Deprecated, use prev_page_token instead.

    • has_next boolean Required Deprecated

      Flag indicating if there is a next page. Deprecated, use next_page_token instead.

    • next_page_token string | null

      Token to fetch the next page, to be passed in subsequent requests as the page_token query parameter. null when there is no next page.

    • prev_page_token string | null

      Token to fetch the previous page, to be passed in subsequent requests as the page_token query parameter. null when there is no previous page.

GET /v2/mandate_signature_requests
curl \
 --request GET 'https://api.memo.bank/v2/mandate_signature_requests'
Response examples (200)
{
  "results": [
    {
      "reference": "ABC123DEF",
      "id": "61b05c4f-3f72-4951-8c30-a2a9faaa5184",
      "scheme": "core",
      "language": "french",
      "status": "sent",
      "mode": "email",
      "is_deleted": false,
      "debtor": {
        "name": "John Doe",
        "iban": "FR2512739000308553756377J95",
        "address": {
          "street": "1 rue Rivoli",
          "postal_code": "75004",
          "city": "Paris",
          "country": "FR"
        }
      },
      "contract_reference": "CUST-1234",
      "debtor_email": "foo@bar.com",
      "email_custom_message": "Hi John Doe, here's a collection mandate to sign."
    }
  ],
  "has_prev": true,
  "has_next": true,
  "next_page_token": "eyJwIjozfQ",
  "prev_page_token": "eyJwIjoxfQ"
}